library(fields)
library(ecodist)

setwd("~/Documents/PhD/SocialSensitivity/MinkovBond")

lhs = read.delim("LHS2.csv",sep='\t',as.is=T)
lhs[is.na(lhs$Orig),]$Orig = lhs[is.na(lhs$Orig),]$Pred
lhs$Orig = as.numeric(lhs$Orig) 

co = read.delim("CapitalCoords.csv",as.is=T,sep='\t',dec=',')

g = read.delim("Genetics.csv",sep='\t')



lhs$lat = co[match(lhs$Country,co$Country),]$Latitude
lhs$long = co[match(lhs$Country,co$Country),]$Longitude

geoDist = as.dist(rdist.earth(lhs[,c("long","lat")]))

lhsDist = as.dist(abs(outer(lhs$Orig,lhs$Orig,"-")))


ecodist::mantel(geoDist~lhsDist,nperm=100000)

library(missMDA)
g2 = imputePCA(g[,2:5],ncp=2)
## A PCA can be performed on the imputed data
g2.pca <- PCA(g2$completeObs)
g$pca = g2.pca$ind$coord[,1]

lhs$g = g[match(lhs$Country,g$Country),]$pca

lhs2 = lhs[!is.na(lhs$g),]

geoDist2 = as.dist(rdist.earth(lhs2[,c("long","lat")]))
lhsDist2 = as.dist(abs(outer(lhs2$Orig,lhs2$Orig,"-")))
genDist2 = as.dist(abs(outer(lhs2$g,lhs2$g,"-")))

ecodist::mantel(genDist2~geoDist2,nperm=100000)

ecodist::mantel(lhsDist2~genDist2,nperm=100000)
ecodist::mantel(lhsDist2~genDist2+geoDist2,nperm=100000)

par(mfrow=c(1,2))
plot(lhs$g,lhs$long,xlab='Index of genetic traits',ylab='Longitude of capital')
plot(lhs$Orig,lhs$long,xlab='Life History Strategy Index',ylab='Longitude of capital')

map(bg='gray')
points(lhs$long,lhs$lat,col=heat.colors(20)[as.numeric(cut(lhs$g,20))],pch=16)

map(bg='gray')
points(lhs$long,lhs$lat,col=cm.colors(20)[as.numeric(cut(lhs$Orig,20))],pch=16)